import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './home/home.component';

import { PageNotFoundComponent } from './error-routing/not-found/not-found.component';
import { UncaughtErrorComponent } from './error-routing/error/uncaught-error.component';
import { ErrorRoutingModule } from './error-routing/error-routing.module';
import { DialogComponent } from './dialog/dialog.component';
import { InputGroupComponent } from './input-group/input-group.component';
import { SelectInFormComponent } from './select-in-form/select-in-form.component';

export const routes: Routes = [
  { path: '', redirectTo: '/home', pathMatch: 'full' },
  { path: 'home', component: HomeComponent, data: { text: 'Home' } },
  { path: 'error', component: UncaughtErrorComponent },
  { path: 'dialog', component: DialogComponent, data: { text: 'Dialog' } },
  { path: 'input-group', component: InputGroupComponent, data: { text: 'Input Group' } },
  { path: 'select-in-form', component: SelectInFormComponent, data: { text: 'Select In Form' } },
  { path: '**', component: PageNotFoundComponent } // must always be last
];

@NgModule({
  imports: [RouterModule.forRoot(routes), ErrorRoutingModule],
  exports: [RouterModule, ErrorRoutingModule]
})
export class AppRoutingModule {
}
