import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { AppRoutingModule } from './app-routing.module';
import { BrowserModule, HammerModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { IgxNavigationDrawerModule, IgxNavbarModule, IgxLayoutModule, IgxRippleModule, IgxDialogModule, IgxButtonModule, IgxComboModule, IgxDatePickerModule, IgxIconModule, IgxInputGroupModule, IgxTimePickerModule, IgxSelectModule, IgxToggleModule, IgxToastModule } from 'igniteui-angular';

import { AppComponent } from './app.component';
import { HomeComponent } from './home/home.component';
import { DialogComponent } from './dialog/dialog.component';
import { InputGroupComponent } from './input-group/input-group.component';
import { SelectInFormComponent } from './select-in-form/select-in-form.component';

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    DialogComponent,
    InputGroupComponent,
    SelectInFormComponent
  ],
  imports: [
    FormsModule,
    BrowserModule,
    HammerModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    IgxNavigationDrawerModule,
    IgxNavbarModule,
    IgxLayoutModule,
    IgxRippleModule,
    IgxDialogModule,
    IgxButtonModule,
    IgxComboModule,
    IgxDatePickerModule,
    IgxIconModule,
    IgxInputGroupModule,
    IgxTimePickerModule,
    IgxSelectModule,
    IgxToggleModule,
    IgxToastModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {
}
